Skip to main content
GET
Get loyalty accounts

Authorizations

X-API-KEY
string
header
required

Query Parameters

organizationId
string<uuid>

Unique identifier for the organization to filter by

Example:

"123e4567-e89b-12d3-a456-426614174001"

websiteId
string<uuid>

Unique identifier for the website to filter by

Example:

"123e4567-e89b-12d3-a456-426614174002"

startingAfter
string<uuid>

Pagination cursor to start after a specific account ID

Example:

"123e4567-e89b-12d3-a456-426614174100"

limit
integer

Maximum number of accounts to return

Required range: 1 <= x <= 100
Example:

20

walletAddress

Wallet address(es) to filter accounts by

Example:
userId

User ID(s) to filter accounts by. Pass in null to get a currencys main accounts.

Example:
walletGroupIdentifier
string

Wallet group identifier to filter accounts by

Example:

"group123"

sortDir
enum<string>
default:desc

Order the accounts in ascending or descending order, sorted by amount

Available options:
asc,
desc
Example:

"desc"

loyaltyCurrencyId
string<uuid>

Unique identifier for the loyalty currency

Example:

"123e4567-e89b-12d3-a456-426614174090"

userGroupExternalIdentifier
string<uuid>

External identifier for the user group controlled by you

userGroupId
string<uuid>

Unique identifier for the user group

Example:

"123e4567-e89b-12d3-a456-426614174090"

externalIdentifier
string

External identifier for the user

Example:

"123e4567-e89b-12d3-a456-426614174090"

Response

200

Schema for the response of getting loyalty accounts

data
Loyalty Account · object[]
required

Array of loyalty accounts

hasNextPage
boolean
required

Indicates if there is a next page of results

Example:

true

message
string

Optional message

Example:

"Success"